Get project
curl --request GET \
--url https://api.neurapulse.com/projects/{projectId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neurapulse.com/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.neurapulse.com/projects/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.neurapulse.com/projects/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"state": "Draft",
"fitForDutyResponse": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Projects
Get project
Returns a project by Id.
GET
/
projects
/
{projectId}
Get project
curl --request GET \
--url https://api.neurapulse.com/projects/{projectId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neurapulse.com/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.neurapulse.com/projects/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.neurapulse.com/projects/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"state": "Draft",
"fitForDutyResponse": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API key generated in the Portal (Workspace Settings → API Keys).
Path Parameters
Project Id. Obtain via GET /projects or from the project URL.
Response
OK
The name of the project.
Maximum string length:
50The unique identifier of the project.
The date the project was created.
The date the project was last modified.
The state of the project.
Available options:
Draft, Active, Inactive, Deleted, ActiveExpired Example:
"Draft"
Define actions for high-risk results. For example, you can write 'Interview the test taker', or enter a URL. Optional: omit or pass null when a fitness-for-duty response is not used; stored and returned as an empty string.
Maximum string length:
1000